edu.northwestern.at.morphadorner.corpuslinguistics.spellingstandardizer

## Class DefaultSpellingStandardizer

- java.lang.Object
- - edu.northwestern.at.utils.IsCloseableObject
  - - edu.northwestern.at.morphadorner.corpuslinguistics.spellingstandardizer.AbstractSpellingStandardizer
    - - edu.northwestern.at.morphadorner.corpuslinguistics.spellingstandardizer.SimpleSpellingStandardizer
      - - edu.northwestern.at.morphadorner.corpuslinguistics.spellingstandardizer.ExtendedSimpleSpellingStandardizer
        - - edu.northwestern.at.morphadorner.corpuslinguistics.spellingstandardizer.DefaultSpellingStandardizer

- All Implemented Interfaces:
    SpellingStandardizer, UsesLogger

      public class DefaultSpellingStandardizer
      extends ExtendedSimpleSpellingStandardizer
      implements SpellingStandardizer

  DefaultSpellingStandardizer: Default spelling standardizer.

  The default spelling standardizer is an extended simple spelling standardizer.

- - ### Field Summary

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.spellingstandardizer.ExtendedSimpleSpellingStandardizer

      `gapFiller`

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.spellingstandardizer.AbstractSpellingStandardizer

      `alternateSpellingsWordClasses, defaultSpellingsByWordClassFileName, lexicon, logger, mappedSpellings, spellingsByWordClass, standardSpellingSet`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultSpellingStandardizer()`

  - ### Method Summary

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.spellingstandardizer.ExtendedSimpleSpellingStandardizer

      `doStandardizeSpelling, fixGaps, getGapFiller, preprocessSpelling, setGapFiller, standardizeSpelling, toString`

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.spellingstandardizer.AbstractSpellingStandardizer

      `addCachedSpelling, addMappedSpelling, addStandardSpelling, addStandardSpellings, fixCapitalization, getLexicon, getLogger, getMappedSpellings, getNumberOfAlternateSpellings, getNumberOfAlternateSpellingsByWordClass, getNumberOfStandardSpellings, getStandardSpellings, loadAlternativeSpellings, loadAlternativeSpellings, loadAlternativeSpellings, loadAlternativeSpellingsByWordClass, loadStandardSpellings, loadStandardSpellings, loadStandardSpellings, setLexicon, setLogger, setMappedSpellings, setStandardSpellings, standardizeSpelling`

    - ### Methods inherited from class edu.northwestern.at.utils.IsCloseableObject

      `close`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface edu.northwestern.at.morphadorner.corpuslinguistics.spellingstandardizer.SpellingStandardizer

      `addMappedSpelling, addStandardSpelling, addStandardSpellings, fixCapitalization, getMappedSpellings, getNumberOfAlternateSpellings, getNumberOfAlternateSpellingsByWordClass, getNumberOfStandardSpellings, getStandardSpellings, loadAlternativeSpellings, loadAlternativeSpellings, loadAlternativeSpellings, loadAlternativeSpellingsByWordClass, loadStandardSpellings, loadStandardSpellings, loadStandardSpellings, preprocessSpelling, setMappedSpellings, setStandardSpellings, standardizeSpelling, standardizeSpelling`

- - ### Constructor Detail

    - #### DefaultSpellingStandardizer

          public DefaultSpellingStandardizer()